Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003472GameMaker: Studio[All Projects] Generalpublic2012-05-17 08:592013-03-05 16:10
Reporterkroart 
Assigned ToRussell Kay 
PriorityHighSeverityC - GeneralReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0003472: After update to 1.0.187 I've got a strange error
DescriptionVery strange error. Occurs after update to 1.0.187. And I'm currently can't reproduce it in blank project. So I'll try do describe it and will try to reproduce in on blank project.

In my project in create event of object1 I'm defining variable touch0 = false;
Than I'm creating object2 which deactivates all instances in create event, process some code within few steps and then activates all instances back.
After object1 activated back it in step event refer to variable touch0 but runner tells than variable touch0 in not initialized.
VMError!! Occurred - Push :: Execution Error - Variable Get touch0

Also if I'm install version 183 back than error disappears.
GM Version
Attached Files

- Relationships

-  Notes
(0002209)
Russell Kay (administrator)
2012-05-17 09:00

There is currently an issue with the "with" construct so it may be related to that - I am fixing this just now and we will issue a new version as soon as we can.
(0002210)
kroart (updater)
2012-05-17 09:03

Thanks.

Also if I define this variable as global than it works.
(0002215)
Russell Kay (administrator)
2012-05-17 10:29

Any chance you could upload the file so I could see if my fix will fix it?

Just in case it is another issue??

I can make this bug private if you want
(0002216)
kroart (updater)
2012-05-17 10:49
edited on: 2012-05-17 10:54

Hm... I'm making game which I want to release on google play store, so honestly I'm a little bit afraid to show source) Don't want to tell that you will steal it but an extra caution not prevent I think)

Maybe better to wait until you release next update and check bug by myself and if it will not be fixed then show it to you in private? Or maybe I'll manage to detect it in blank project by this time.

(0002288)
kroart (updater)
2012-05-18 06:22

In 191 bug was fixed. Thanks)
(0002360)
Russell Kay (administrator)
2012-05-18 23:01

Fixed in v1.0.191

- Issue History
Date Modified Username Field Change
2012-05-17 08:59 kroart New Issue
2012-05-17 09:00 Russell Kay Note Added: 0002209
2012-05-17 09:03 kroart Note Added: 0002210
2012-05-17 10:29 Russell Kay Note Added: 0002215
2012-05-17 10:49 kroart Note Added: 0002216
2012-05-17 10:54 kroart Note Edited: 0002216 View Revisions
2012-05-17 14:09 Russell Kay Assigned To => Russell Kay
2012-05-17 14:09 Russell Kay Status new => assigned
2012-05-18 06:22 kroart Note Added: 0002288
2012-05-18 23:01 Russell Kay Note Added: 0002360
2012-05-18 23:01 Russell Kay Status assigned => resolved
2012-05-18 23:01 Russell Kay Resolution open => fixed
2013-03-05 16:10 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker